Package org.apache.torque.generator.configuration.source

## Class FileSourceSaxHandlerFactory

- java.lang.Object
- - org.apache.torque.generator.configuration.source.FileSourceSaxHandlerFactory

- All Implemented Interfaces:
    `SourceSaxHandlerFactory`

      public class FileSourceSaxHandlerFactory
      extends Object
      implements SourceSaxHandlerFactory

  A Factory which creates a SAX handler for file sources.
  Version:
    $Id: FileSourceSaxHandlerFactory.java 1839288 2018-08-27 09:48:33Z tv $

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileSourceSaxHandlerFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SourceSaxHandler` | `getSourceSaxHandler​(ConfigurationProvider configurationProvider, UnitDescriptor unitDescriptor, ConfigurationHandlers configurationHandlers)` | Returns a FileSourceSaxHandlers for reading the configuration of file sources.
    `String` | `getType()` | Returns the source type which can be handled by the FileSourceSaxHandlers created by this factory.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileSourceSaxHandlerFactory

          public FileSourceSaxHandlerFactory()

  - ### Method Detail

    - #### getType

          public String getType()

      Returns the source type which can be handled by the FileSourceSaxHandlers created by this factory.
      Specified by:
        `getType` in interface `SourceSaxHandlerFactory`
      Returns:
        "fileSource".

    - #### getSourceSaxHandler

          public final SourceSaxHandler getSourceSaxHandler​(ConfigurationProvider configurationProvider,
                                                            UnitDescriptor unitDescriptor,
                                                            ConfigurationHandlers configurationHandlers)

      Returns a FileSourceSaxHandlers for reading the configuration of file sources.
      Specified by:
        `getSourceSaxHandler` in interface `SourceSaxHandlerFactory`
      Parameters:
        `configurationProvider` - The access object for the configuration files, not null.
        `unitDescriptor` - The description of the generation unit, not null.
        `configurationHandlers` - All known configuration handlers, not null.
      Returns:
        a new FileSourcesSaxHandlers.